curl --request PATCH \
--url https://api.modernloop.io/v1/job-stages/{jobStageId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"settings": {
"automation": {
"is_automated_task_enabled": true,
"create_automated_task_on_behalf_of": "emp_a1b2c3d4e5f64789a1b2c3d4e5f64789"
},
"candidate_notifications": {
"should_send_email": true,
"should_send_calendar_invite": true,
"should_send_chat_message": true,
"should_send_candidate_pulse": true
},
"self_schedule_defaults": {
"advance_notice_in_hours": 123,
"rolling_days": 123,
"use_rolling_days": true,
"number_of_days": 123,
"custom_location": "<string>",
"is_private_calendar_event": true,
"should_respect_load_limit": true,
"can_schedule_over_recruiting_keywords": true,
"can_schedule_over_available_keywords": true,
"can_schedule_over_free_time": true,
"candidate_note": "<string>"
},
"availability_request_defaults": {
"number_of_days": 123,
"minutes_per_day": 123,
"minimum_time_block_minutes": 123,
"advance_notice_minutes": 123,
"rolling_days": 123,
"use_rolling_days": true,
"timeframe_number_of_days": 123,
"should_respect_load_limit": true,
"can_schedule_over_recruiting_keywords": true,
"can_schedule_over_available_keywords": true,
"can_schedule_over_free_time": true,
"candidate_note": "<string>"
}
}
}
'import requests
url = "https://api.modernloop.io/v1/job-stages/{jobStageId}"
payload = { "settings": {
"automation": {
"is_automated_task_enabled": True,
"create_automated_task_on_behalf_of": "emp_a1b2c3d4e5f64789a1b2c3d4e5f64789"
},
"candidate_notifications": {
"should_send_email": True,
"should_send_calendar_invite": True,
"should_send_chat_message": True,
"should_send_candidate_pulse": True
},
"self_schedule_defaults": {
"advance_notice_in_hours": 123,
"rolling_days": 123,
"use_rolling_days": True,
"number_of_days": 123,
"custom_location": "<string>",
"is_private_calendar_event": True,
"should_respect_load_limit": True,
"can_schedule_over_recruiting_keywords": True,
"can_schedule_over_available_keywords": True,
"can_schedule_over_free_time": True,
"candidate_note": "<string>"
},
"availability_request_defaults": {
"number_of_days": 123,
"minutes_per_day": 123,
"minimum_time_block_minutes": 123,
"advance_notice_minutes": 123,
"rolling_days": 123,
"use_rolling_days": True,
"timeframe_number_of_days": 123,
"should_respect_load_limit": True,
"can_schedule_over_recruiting_keywords": True,
"can_schedule_over_available_keywords": True,
"can_schedule_over_free_time": True,
"candidate_note": "<string>"
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
settings: {
automation: {
is_automated_task_enabled: true,
create_automated_task_on_behalf_of: 'emp_a1b2c3d4e5f64789a1b2c3d4e5f64789'
},
candidate_notifications: {
should_send_email: true,
should_send_calendar_invite: true,
should_send_chat_message: true,
should_send_candidate_pulse: true
},
self_schedule_defaults: {
advance_notice_in_hours: 123,
rolling_days: 123,
use_rolling_days: true,
number_of_days: 123,
custom_location: '<string>',
is_private_calendar_event: true,
should_respect_load_limit: true,
can_schedule_over_recruiting_keywords: true,
can_schedule_over_available_keywords: true,
can_schedule_over_free_time: true,
candidate_note: '<string>'
},
availability_request_defaults: {
number_of_days: 123,
minutes_per_day: 123,
minimum_time_block_minutes: 123,
advance_notice_minutes: 123,
rolling_days: 123,
use_rolling_days: true,
timeframe_number_of_days: 123,
should_respect_load_limit: true,
can_schedule_over_recruiting_keywords: true,
can_schedule_over_available_keywords: true,
can_schedule_over_free_time: true,
candidate_note: '<string>'
}
}
})
};
fetch('https://api.modernloop.io/v1/job-stages/{jobStageId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "stg_a1b2c3d4e5f64789a1b2c3d4e5f64789",
"job_id": "job_a1b2c3d4e5f64789a1b2c3d4e5f64789",
"name": "<string>",
"index": 123,
"schedulable": true,
"ats": {
"id": "<string>"
},
"has_custom_interview_plan": true,
"settings": {
"automation": {
"is_automated_task_enabled": true,
"create_automated_task_on_behalf_of": "emp_a1b2c3d4e5f64789a1b2c3d4e5f64789"
},
"candidate_notifications": {
"should_send_email": true,
"should_send_calendar_invite": true,
"should_send_chat_message": true,
"should_send_candidate_pulse": true
},
"self_schedule_defaults": {
"advance_notice_in_hours": 123,
"rolling_days": 123,
"use_rolling_days": true,
"number_of_days": 123,
"custom_location": "<string>",
"is_private_calendar_event": true,
"should_respect_load_limit": true,
"can_schedule_over_recruiting_keywords": true,
"can_schedule_over_available_keywords": true,
"can_schedule_over_free_time": true,
"candidate_note": "<string>"
},
"availability_request_defaults": {
"number_of_days": 123,
"minutes_per_day": 123,
"minimum_time_block_minutes": 123,
"advance_notice_minutes": 123,
"rolling_days": 123,
"use_rolling_days": true,
"timeframe_number_of_days": 123,
"should_respect_load_limit": true,
"can_schedule_over_recruiting_keywords": true,
"can_schedule_over_available_keywords": true,
"can_schedule_over_free_time": true,
"candidate_note": "<string>"
}
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": {
"message": "<string>",
"docs_url": "<string>"
}
}{
"error": {
"message": "<string>",
"docs_url": "<string>"
}
}{
"error": {
"message": "<string>",
"docs_url": "<string>"
}
}{
"error": {
"message": "<string>",
"docs_url": "<string>"
}
}{
"error": {
"message": "<string>",
"docs_url": "<string>"
}
}{
"error": {
"message": "<string>",
"docs_url": "<string>"
}
}{
"error": {
"message": "<string>",
"docs_url": "<string>"
}
}Update a job stage
Updates a job stage’s settings. Targets the stage settings only; the base stage (name, index, ATS identity, schedulable) is ATS-sync-owned and read-only. Every supplied settings group merges per field, including self_schedule_defaults and availability_request_defaults; omitted fields are preserved. At least one group is required. Set automation.create_automated_task_on_behalf_of to null to clear it. The Java handler does not support clearing automation.default_task; omit it to preserve the current value. Requires a WRITE-scoped token with the beta:jobs:write entitlement.
Authorizations
API tokens are passed as Bearer tokens.
Path Parameters
a job stage ID. Accepts the canonical prefixed compact UUID, a prefixed dashed UUID, a bare dashed UUID, or a bare compact UUID; input is case-insensitive.
^(?:stg_)?(?:[0-9a-fA-F]{32}|[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$"stg_a1b2c3d4e5f64789a1b2c3d4e5f64789"
Body
Job-stage settings patch. Include at least one settings group.
Show child attributes
Show child attributes
Response
Success
Canonical job stage ID (stg_ followed by 32 lowercase hexadecimal UUID characters).
^stg_[0-9a-f]{32}$"stg_a1b2c3d4e5f64789a1b2c3d4e5f64789"
Canonical job ID (job_ followed by 32 lowercase hexadecimal UUID characters).
^job_[0-9a-f]{32}$"job_a1b2c3d4e5f64789a1b2c3d4e5f64789"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
ISO 8601 timestamp.
ISO 8601 timestamp.